Forum Linux Mint Polska

Autor Wątek: Problem z pakietami i aktualizacja  (Przeczytany 743 razy)

Offline Druidamus

  • Miętowy liść
  • *
  • Wiadomości: 40
  • Punkty: 0
  • Płeć: Mężczyzna
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Problem z pakietami i aktualizacja
« dnia: Październik 26, 2017, 18:17:57 pm »
Witam,
Od jakiegoś czasu mam duży problem z aktualizacjami i pakietami. Podczas aktualizacji pakietów wyskakuje mi taki bład:
Cytuj
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/additional-repositories.list:1 and /etc/apt/sources.list.d/additional-repositories.list:2
W: Target Packages (main/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list.d/additional-repositories.list:1 and /etc/apt/sources.list.d/additional-repositories.list:2
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/additional-repositories.list:1 and /etc/apt/sources.list.d/additional-repositories.list:2
W: Target Translations (main/i18n/Translation-pl_PL) is configured multiple times in /etc/apt/sources.list.d/additional-repositories.list:1 and /etc/apt/sources.list.d/additional-repositories.list:2
W: Target Translations (main/i18n/Translation-pl) is configured multiple times in /etc/apt/sources.list.d/additional-repositories.list:1 and /etc/apt/sources.list.d/additional-repositories.list:2
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/additional-repositories.list:1 and /etc/apt/sources.list.d/additional-repositories.list:2
Problemy także mam w menadżerze oprogramowania i pakietów.

Żadne z poniższych komend nie naprawiło mego problemu:

sudo touch /forcefsck

sudo dpkg --configure --pending
sudo apt-get install -f
sudo rm -rf /var/lib/apt/lists/*

sudo apt-get autoclean

sudo apt-get clean

sudo apt-get autoremove

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

Czy ktoś jest w stanie pomóc mi naprawić ten błąd? Dziękuję za wszelka pomoc i komendy.

Offline akos41

  • Miętowy krzew
  • ****
  • Wiadomości: 293
  • Punkty: 14
  • Płeć: Mężczyzna
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: 18
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #1 dnia: Październik 26, 2017, 19:26:51 pm »
Czy nie wgrywałeś czasem ostatnio WINE?
Jeżeli tak to sprawdź - Zasoby Oprogramowania-Dodatkowe Reprozytoria.
U mnie z niewiadomych przyczyn zdublowało się Wine.
Jedno z nich usunąłem i wszystko wróciło do normy.

Pozdro
Człowiek uczy się przez całe życie, z wyjątkiem lat szkolnych.

Offline Druidamus

  • Miętowy liść
  • *
  • Wiadomości: 40
  • Punkty: 0
  • Płeć: Mężczyzna
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #2 dnia: Październik 27, 2017, 18:13:15 pm »
A jak mam to sprawdzić (gdzie), chodzi i zdublowany Wine.
mój problem dotyczy tez Wine, bo niby jest ale go nie widać w programach i kombinowałem żeby jeszcze raz zainstalować bo nie uruchomiały mi sie programy.

Offline akos41

  • Miętowy krzew
  • ****
  • Wiadomości: 293
  • Punkty: 14
  • Płeć: Mężczyzna
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: 18
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #3 dnia: Październik 27, 2017, 20:29:32 pm »
Menedżer aktualizacji - Edycja - Źródła oprogramowania (wpisujesz swoje hasło,bo o nie zapyta) - Dodatkowe Reprozytoria

Tam zobaczysz,czy Wine zaznaczone jest w 2-óch pozycjach.Jeżeli tak,to jedno z nich usuń.
Jeżeli chcesz,aby otwierało ci pliki exe,to zaznacz obojętnie jaki plik exe,kliknij PPM i wybierz WŁASCIWOSCI - otworzy się tabela.
W niej wybierz Otwórz za pomocą - zmień pozycję Domyślny program na Wine Windows Program Loader (który znajduje się na liście programów),na dole tabeli kliknij na Ustaw jako domyślny program - i powinno otwierać pliki exe.

Pozdro
« Ostatnia zmiana: Październik 27, 2017, 20:36:25 pm wysłana przez akos41 »
Człowiek uczy się przez całe życie, z wyjątkiem lat szkolnych.

Offline Mintek

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 122
  • Punkty: 6
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: 18
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #4 dnia: Październik 27, 2017, 22:03:01 pm »
Wyświetlany komunikat mówi o zdublowanych wpisach repo i pokazuje gdzie szukać przyczyny.
Używam Mint 18.1 Cinnamon z kernelem 4.10.5

Offline Druidamus

  • Miętowy liść
  • *
  • Wiadomości: 40
  • Punkty: 0
  • Płeć: Mężczyzna
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #5 dnia: Październik 28, 2017, 20:02:01 pm »
Super, dzięki
faktycznie miałem 2x Wine, dziwne...
jutro popatrzę, czy dalej będą mi wyskakiwać dziwności z menadżerem oprogramowania, menadżerem pakietów itp. Dam znać czy sie naprawiło. Dzięki jeszcze raz.

Edit. PS. Usunąłem jedno z wine, ale niestety na liście programów nie ma Wine Windows Program Loader. Mam usunąć ten drugio Wine także i zainstalować na nowo?
« Ostatnia zmiana: Październik 28, 2017, 20:08:27 pm wysłana przez Druidamus »

Offline jury

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 149
  • Punkty: 10
  • Środowisko graficzne: Xfce
  • Wersja systemu: Linux Mint 17.3
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #6 dnia: Październik 28, 2017, 22:23:22 pm »
PS. Usunąłem jedno z wine, ale niestety na liście programów nie ma Wine Windows Program Loader. Mam usunąć ten drugio Wine także i zainstalować na nowo?
Usunąłeś wine czy jedno repozytorium wine z listy repozytoriów ( czyli ten problem z którym się zgłosiłeś w tym wątku )?
Bo jeśli faktycznie usunąłeś wine to nie będzie tego "Wine Windows Program Loader".
Jak otworzysz konsolę i wpiszesz: "wine --version" to co się pojawia?

I czy teraz podczas aktualizacji dalej wyskakuje to co podałeś w pierwszym poście?
« Ostatnia zmiana: Październik 28, 2017, 22:27:41 pm wysłana przez jury »

Offline Druidamus

  • Miętowy liść
  • *
  • Wiadomości: 40
  • Punkty: 0
  • Płeć: Mężczyzna
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #7 dnia: Październik 29, 2017, 09:33:03 am »
usunąłem wine, oto dowód.
Cytuj
wine --version
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
wine-2.0.3 (Ubuntu 2.0.3-0ubuntu1~16.04~ricotz0)
Problem z menadżerze aktualizacji chyba zniknął, muszę poczekać aż będą jakieś aktualizacje, bo teraz wyświetla tylko, że system jest aktualny. I wtedy potwierdzę na 100% :)
Menadżer pakietów tez chyba się naprawił. Okno uruchamia sie bez problemów.
Ale dalej mam problem z menadżerem oprogramowania. Po uruchomieni po prostu mi znika okienko. :/

Offline jury

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 149
  • Punkty: 10
  • Środowisko graficzne: Xfce
  • Wersja systemu: Linux Mint 17.3
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #8 dnia: Październik 29, 2017, 10:42:38 am »
Co do managera oprogramowania to nie mam pomysłu, natomiast skoro manager pakietów ruszył to możesz zainstalować teraz wine.
Tyle, że z tego co widzę, w oficjalnych repozytoriach wine nadal jest w jakiejś starej wersji sprzed ładnych kilku lat. Ale OK, może nie ma co kombinować bo ta wersja wystarczy do tego co potrzebujesz. Tak więc w managerze pakietów w filtrze wpisz "wine" i na pierwszej pozycji ( jeśli nie, to odnajdź ją ) powinien być wpis odnośnie wersji 1.6.2.0ubuntu4. Zaznacz ją do instalacji i zainstaluj. Wtedy znów w konsoli wpisz "wine --version" i zobacz czy wine się zainstalowało, jeśli tak to możesz dodać tą opcję "Wine Windows Program Loader" co podał akos41 we wpisie #4.

Swoją drogą, ta wersja 1.6.2 jest naprawdę dość stara ( nie kapuję dlaczego nie została jeszcze zaktualizowana ) i obecnie ostatnia stabilna wersja wine to 2.0.3 ( a developerska 2.19 )
Więc gdybyś chciał i czuł się na siłach to zamiast instalować wersję 1.6.2 możesz zainstalować sobie stabilną 2.0.3 wg poradnika:
https://wiki.winehq.org/Ubuntu
Ale uwaga, lepiej wiedzieć co te komendy które się wpisuje do konsoli znaczą, bo jak coś niechcący przekombinujesz, to łatwiej to potem odkręcić :)
« Ostatnia zmiana: Październik 29, 2017, 14:22:20 pm wysłana przez jury »

Offline Druidamus

  • Miętowy liść
  • *
  • Wiadomości: 40
  • Punkty: 0
  • Płeć: Mężczyzna
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #9 dnia: Październik 29, 2017, 14:57:49 pm »
Super, dzięki, niestety w menadżerze pakietów nie ma takiej wersji. Są powyżej 2 coś. Spróbuję tą druga podpowiedź Twoją.
A tak swoja drogą szkoda, że menadżer oprogramowania nie chce mi ruszyć:/

Dzięki serdeczne za pomoc. Będę zdawał sprawozdanie :P

Offline jury

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 149
  • Punkty: 10
  • Środowisko graficzne: Xfce
  • Wersja systemu: Linux Mint 17.3
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #10 dnia: Październik 29, 2017, 15:30:12 pm »
Czekaj, jak w managerze pakietów jest wersja powyżej 2, to bardzo dobrze ( pewnie jest to 2.0.3 )
Znaczy, że musiałeś jakoś, gdzieś dodać repozytorium z tą wersją. Instaluj ją.

Offline Druidamus

  • Miętowy liść
  • *
  • Wiadomości: 40
  • Punkty: 0
  • Płeć: Mężczyzna
  • Środowisko graficzne: Mate
  • Wersja systemu: 18
Odp: Problem z pakietami i aktualizacja
« Odpowiedź #11 dnia: Październik 29, 2017, 20:11:27 pm »
Oki, wine działa poprawnie. Miałem zainstalowane pakiety wine xenial zamiast ubuntu, i po częsci to wywoływało też błędy. Niestety nadal nie działa mi menadżer oprogramowania i po wpisaniu hasła znika.

Edit: Nie wiem co się stało, ale naprawił się menadżer oprogramowania. Po wpisaniu komendy resetowania ustawień dolnego paska menu wróciło wszystko do normy o.O. Jednek mój komputer jest dziwny. Niezależnie czy jest na nim windows czy linuks o.O
« Ostatnia zmiana: Październik 29, 2017, 21:33:37 pm wysłana przez Druidamus »